// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#include <iostream>
#include <string>      //defines class string
using namespace std;

void f(const string& firstName, const string& lastName)
{
  string fullName = firstName + " " + lastName;      // line 1
  cout << "Your full name is " << fullName << "\n";  // line 2
}

int main()
{
  f("Charlie", "Brown");
  f("Fred", "Flintstone");
}
