// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"
#include <iostream>
using namespace std;

class Fred { };

void sample(Fred* p) throw()
{
  #if 0
    if (p != NULL)  // Bad form!
      delete p;
  #else
    delete p;       // Good form!
  #endif
}

int main()
{
  sample(new Fred());
  sample(NULL);
}
