// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

class Fred {
public:
  Fred(int& i) throw();
protected:
  int& i_;
};

Fred::Fred(int& i) throw()
: i_(i)  // References must be initialized in the initialization list
{ }

int main()
{
  int x;
  Fred a(x);   //a.i_ will always be an alias for x
}
