// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#include <new>
using namespace std;

class X {
public:
	X(const X&);
	X& operator=(const X&);
};

X& X::operator= (const X& rhs)
{
  if (this != &rhs) {
    this->~X();
    new(this) X(rhs);
  }
  return *this;
}
