// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#include <string>
#include <iostream>
using namespace std;

string createTemp()
{ return "fred"; }

int main()
{
  const string& x = createTemp(); // Line 1: Reference bound to temporary
  cout << "x = " << x << "\n";    // Line 2: This is safe
}  // Line 3: Temporary destructed here
