// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#include <iostream>
using namespace std;

class Fred {
public:
  void wilma()       throw() { cout << "Fred::wilma()\n"; }
  void wilma() const throw() { cout << "Fred::wilma() const\n"; }
};

      Fred f() throw() { cout << "f(): "; return Fred(); }
const Fred g() throw() { cout << "g(): "; return Fred(); }

int main()
{
  f().wilma();  // Calls the non-const version of the wilma() member function
  g().wilma();  // Calls the const version of the wilma() member function
}
