// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#include <iostream>
using namespace std;

void sample(const int& i, int& j) throw()
{
  int orig = i;
  j++;  // Incrementing j can change the int called i
  if (i != orig)
    cout << "The value of i is different!\n";
}

int main()
{
  int x = 3;
  sample(x, x);
}
