// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

class Fred {
public:
  static void f() throw();  // Member function associated with the class
  void g() throw();         // Member function associated with an individual object of the class
protected:
  static int x_;    // Data member associated with the class
  int y_;           // Data member associated with an individual object of the class
};

//#include "Fred.hpp"

void Fred::f() throw()  // The static keyword is not used at the function's definition
{ /*...*/ }

void Fred::g() throw()
{ /*...*/ }

int Fred::x_ = 3;  // Static data members must be explicitly defined in exactly one source file
