// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

class Position { };

class Shape {
public:
  virtual void draw() const throw() = 0;
  virtual ~Shape() throw();
protected:
  Position pos_;
  void operator= (const Shape& s) throw();
};

inline void Shape::operator= (const Shape& s) throw()
{ pos_ = s.pos_; }

Shape::~Shape() throw()
{ }
