// Copyright (C) 1994-98 by Addison-Wesley Publishing Co., Inc.
//
// This code is provided for its instructional value.
// It has been tested with care, but it is not guaranteed
// for any particular purpose.  The publisher and authors
// do not offer any warranties or representations, nor do
// they accept any liabilities with respect to this code.

#include "cpp-faqs.hpp"

#include <iostream>
using namespace std;

class Fred {
public:
  Fred(int) throw();
  Fred(const Fred&) throw();
  void operator= (const Fred&) throw();
};

Fred::Fred(int) throw()
  { cout << "Fred ctor "; }
Fred::Fred(const Fred&) throw()
  { cout << "Fred copy "; }
void Fred::operator= (const Fred&) throw()
  { cout << "Fred assign "; }

int main()
{
  cout << "1: ";  Fred x(5);         cout << '\n';
  cout << "2: ";  Fred y = 5;        cout << '\n';
  cout << "3: ";  Fred z = Fred(5);  cout << '\n';
}
